import { is } from './is';
import { isNull, isUndefined, isNaN } from './types/primitive';
import { isClass, isFunction } from './types/std';
export * from './types/primitive';
export * from './types/std';
export * from './types/node';
export * from './types/external';
export { isInstanceOf } from './types/util';
export default is;
/**
 * @deprecated
 * @see {is.boolean}
 */
export declare const boolean: typeof import("./types/primitive").isBoolean;
/**
 * @deprecated
 * @see {is.number}
 */
export declare const number: typeof import("./types/primitive").isNumber;
/**
 * @deprecated
 * @see {is.string}
 */
export declare const string: typeof import("./types/primitive").isString;
/**
 * @deprecated
 * @see {is.symbol}
 */
export declare const symbol: typeof import("./types/primitive").isSymbol;
/**
 * @deprecated
 * @see {is.undefined}
 */
export { isUndefined as undefined };
/**
 * @deprecated
 * @see {is.null}
 */
export { isNull as null };
/**
 * @deprecated
 * @see {is.nullable}
 */
export declare const nullOrUndefined: typeof import("./types/primitive").isNullable;
/**
 * @deprecated
 * @see {is.bigInt}
 */
export declare const bigInt: typeof import("./types/primitive").isBigInt;
/**
 * @deprecated
 * @see {is.bigInt}
 */
export declare const bigint: typeof import("./types/primitive").isBigInt;
/**
 * @deprecated
 * @see {is.integer}
 */
export declare const int: typeof import("./types/primitive").isInteger;
/**
 * @deprecated
 * @see {is.integer32}
 */
export declare const int32: typeof import("./types/primitive").isInteger32;
/**
 * @deprecated
 * @see {is.long}
 */
export declare const long: typeof import("./types/primitive").isLong;
/**
 * @deprecated
 * @see {is.double}
 */
export declare const double: typeof import("./types/primitive").isDouble;
/**
 * @deprecated
 * @see {is.finite}
 */
export declare const finite: typeof import("./types/primitive").isFinite;
/**
 * @deprecated
 * @see {is.NaN}
 */
export { isNaN as NaN };
/**
 * @deprecated
 * @see {is.primitive}
 */
export declare const primitive: typeof import("./types/primitive").isPrimitive;
/**
 * @deprecated
 * @see {is.function}
 */
export { isFunction as function };
/**
 * @deprecated
 * @see {is.generatorFunction}
 */
export declare const generatorFunction: typeof import("./types/std").isGeneratorFunction;
/**
 * @deprecated
 * @see {is.asyncFunction}
 */
export declare const asyncFunction: typeof import("./types/std").isAsyncFunction;
/**
 * @deprecated
 * @see {is.class}
 */
export { isClass as class };
/**
 * @deprecated
 * @see {is.array}
 */
export declare const array: typeof import("./types/std").isArray;
/**
 * @deprecated
 * @see {is.object}
 */
export declare const object: typeof import("./types/std").isObject;
/**
 * @deprecated
 * @see {is.date}
 */
export declare const date: typeof import("./types/std").isDate;
/**
 * @deprecated
 * @see {is.error}
 */
export declare const error: typeof import("./types/std").isError;
/**
 * @deprecated
 * @see {is.regExp}
 */
export declare const regExp: typeof import("./types/std").isRegExp;
/**
 * @deprecated
 * @see {is.regExp}
 */
export declare const regexp: typeof import("./types/std").isRegExp;
/**
 * @deprecated
 * @see {is.generator}
 */
export declare const generator: typeof import("./types/std").isGenerator;
/**
 * @deprecated
 * @see {is.promiseLike}
 */
export declare const promise: typeof import("./types/std").isPromiseLike;
/**
 * @deprecated
 * @see {is.buffer}
 */
export declare const buffer: typeof import("./types/node").isBuffer;
/**
 * @deprecated
 * @see {is.stream}
 */
export declare const stream: typeof import("./types/node").isStream;
/**
 * @deprecated
 * @see {is.readable}
 */
export declare const readable: typeof import("./types/node").isReadable;
/**
 * @deprecated
 * @see {is.writable}
 */
export declare const writable: typeof import("./types/node").isWritable;
/**
 * @deprecated
 * @see {is.duplex}
 */
export declare const duplex: typeof import("./types/node").isDuplex;
/**
 * @deprecated
 * @see {is.longObject}
 */
export declare const Long: typeof import("./types/external").isLongObject;
