import { isString, isNumber, isBoolean, isSymbol, isUndefined, isNull, isNullable, isBigInt, isPrimitive, isInteger, isInteger32, isNaN, isFinite, isLong, isDouble, isSafeInteger } from './types/primitive';
import { isArray, isFunction, isGeneratorFunction, isAsyncFunction, isAsyncGeneratorFunction, isDate, isError, isRegExp, isClass, isPromiseLike, isObject, isGenerator, isPromise } from './types/std';
import { isBuffer, isStream, isReadable, isWritable, isDuplex } from './types/node';
import { isLongObject } from './types/external';
export declare const is: {
    /**
     * @see {isBoolean}
     */
    boolean: typeof isBoolean;
    /**
     * @see {isNumber}
     */
    number: typeof isNumber;
    /**
     * @see {isString}
     */
    string: typeof isString;
    /**
     * @see {isSymbol}
     */
    symbol: typeof isSymbol;
    /**
     * @see {isUndefined}
     */
    undefined: typeof isUndefined;
    /**
     * @see {isNull}
     */
    null: typeof isNull;
    /**
     * @see {isNullable}
     */
    nullable: typeof isNullable;
    /**
     * @see {isBigInt}
     */
    bigInt: typeof isBigInt;
    /**
     * @see {isPrimitive}
     */
    primitive: typeof isPrimitive;
    /**
     * @see {isInteger}
     */
    integer: typeof isInteger;
    /**
     * @see {isInteger32}
     */
    integer32: typeof isInteger32;
    /**
     * @see {isLong}
     */
    long: typeof isLong;
    /**
     * @see {isDouble}
     */
    double: typeof isDouble;
    /**
     * @see {isFinite}
     */
    finite: typeof isFinite;
    /**
     * @see {isNaN}
     */
    NaN: typeof isNaN;
    /**
     * @see {isSafeInteger}
     */
    safeInteger: typeof isSafeInteger;
    /**
     * @see {isFunction}
     */
    function: typeof isFunction;
    /**
     * @see {isGeneratorFunction}
     */
    generatorFunction: typeof isGeneratorFunction;
    /**
     * @see {isAsyncFunction}
     */
    asyncFunction: typeof isAsyncFunction;
    /**
     * @see {isAsyncGeneratorFunction}
     */
    asyncGeneratorFunction: typeof isAsyncGeneratorFunction;
    /**
     * @see {isClass}
     */
    class: typeof isClass;
    /**
     * @see {isArray}
     */
    array: typeof isArray;
    /**
     * @see {isObject}
     */
    object: typeof isObject;
    /**
     * @see {isDate}
     */
    date: typeof isDate;
    /**
     * @see {isError}
     */
    error: typeof isError;
    /**
     * @see {isRegExp}
     */
    regExp: typeof isRegExp;
    /**
     * @see {isGenerator}
     */
    generator: typeof isGenerator;
    /**
     * @see {isPromise}
     */
    promise: typeof isPromise;
    /**
     * @see {isPromiseLike}
     */
    promiseLike: typeof isPromiseLike;
    /**
     * @see {isBuffer}
     */
    buffer: typeof isBuffer;
    /**
     * @see {isStream}
     */
    stream: typeof isStream;
    /**
     * @see {isReadable}
     */
    readable: typeof isReadable;
    /**
     * @see {isWritable}
     */
    writable: typeof isWritable;
    /**
     * @see {isDuplex}
     */
    duplex: typeof isDuplex;
    /**
     * @see {isLongObject}
     */
    longObject: typeof isLongObject;
};
