/// <reference types="node" />
/// <reference types="node" />
import { Buffer } from 'node:buffer';
import { Duplex, Readable, Stream, Writable } from 'node:stream';
/**
 * returns true if val is buffer
 */
export declare function isBuffer(val: unknown): val is Buffer;
/**
 * returns true if val is stream
 */
export declare function isStream(val?: unknown): val is Stream;
/**
 * returns true if val is readable stream
 */
export declare function isReadable(val?: unknown): val is Readable;
/**
 * returns true if val is write stream
 */
export declare function isWritable(val?: unknown): val is Writable;
/**
 * returns true if val is duplex stream
 */
export declare function isDuplex(val?: unknown): val is Duplex;
